# Coincounter HX-616

Use the coin counter HX-616 with Raspberry Pico (Micropython).

## Wiring of the coin counter  
12V DC (red wire)  
Coin Pulse (white wire)  
GND (black wire)  
All other ports (like counter) and wires (like browns) are not used in this project.  
![picture](https://git.kmpr.at/kamp/CoincounterHX-616/raw/branch/main/files/wiring-hx616.png)

## German Manual for the coin counter  

### 1.) Münztypen einstellen  
ADD-Button (10) und MINUS-Button (11) gleichzeitig gedrückt halten, bis „A“ am Display (9) erscheint.  
SET-Button (8) drücken, bis „E“ am Display steht. Nun mit den Buttons ADD und MINUS die Anzahl der unterschiedlichen Münztypen (1-6) die angelernt werden sollen, einstellen.  
Erneut den SET-Button drücken, bis „H1“ am Display steht. Hier wieder mit ADD und MINUS Buttons die Anzahl der Lernexemplare pro Münztyp (1-20) einstellen.  
Durch erneutes drücken des SET-Button steht nun „P1“ am Display. Wieder mit ADD und MINUS Buttons den Signal-Wert/Puls (1-50) des ersten Münztyps auswählen.  
Wieder mit dem SET-Button gelangt man nun zu „F1“ am Display.  Damit stellt man die Genauigkeit der Münzerkennung (1-20 – 8 empfohlen) ein.  
Diese Schritte (H2, P2, F2…) für jeden Münztyp wiederholen, bis „E“ am Display steht.  
Nun das Gerät vom Strom trennen und wieder verbinden, um die Werte zu speichern.  

### 2.) Münzen erlernen  
SET-Button zwei Mal drücken, bis am Display „A1“ steht und die erste LED leuchtet.  
Wirf nun die Anzahl der Münzen des ersten Typs ein die du oben als Anzahl der Lernexemplare „H1“ gesetzt hast. Am Display wird mitgezählt.  
Die LEDs blinken nun alle auf und am Display steht „A2“. Wirf nun die Anzahl an Münzen des zweiten Typs ein, die du oben als „H2“ gesetzt hast.  
Führe dies weiter für alle Münztypen aus.  

### 3.) Einstellungen  
Stelle den NO/NC-Schalter (3) auf die untere Position (=NC).  
Stelle den Geschwindigkeitsschalter (4) ganz nach oben auf „Fast“. (Fast = 20ms, Medium = 50ms, Slow = 70ms).  

### 4.) Schematische Darstellung HX-616
![picture](https://git.kmpr.at/kamp/CoincounterHX-616/raw/branch/main/files/schemaHX-616.png)

## Münztypen für den Code
Für den folgenden Code habe ich 5 Cent Münzen mit einem Puls, 10 Cent Münzen mit 2 Pulsen, 20 Cent Münzen mit 3 Pulsen, 50 Cent Münzen mit 4 Pulsen, 1 Euro Münzen mit 5 Pulsen und 2 Euro Münzen mit 6 Pulsen am HX-616 wie beschrieben angelernt.

## Code
Benutze den Micropython-Code in main.py, um die angelernten Münzen mit dem HX-616 im Raspberry Pico zu zählen.